require_relative 'element'

# Elements Module
# Access elements with Elements::ELEMENT
module Elements
  HYDROGEN  = Element.new(
                name:'Hydrogen', symbol:'H', ion_charges:[+1, -1],
                atomic_number:1, atomic_mass:1.008
                )

  HELIUM    = Element.new(
                name: 'Helium', symbol:'He', ion_charges:[],
                atomic_number:HYDROGEN.atomic_number + 1, atomic_mass:4.002602
                )

  LITHIUM   = Element.new(
                name: 'Lithium', symbol: 'Li', ion_charges:[+1],
                atomic_number:HELIUM.atomic_number + 1, atomic_mass:6.94
                )

  BERYLLIUM = Element.new(
                name: 'Beryllium', symbol: 'Be', ion_charges:[+2],
                atomic_number:LITHIUM.atomic_number + 1, atomic_mass:9.0121831
                )
end
